/* all float vriable are changed into double variables */
/* as a consequence all call to 'vector()' and to 'matrix()' */
/* are changed into 'dvector()' and 'dmatrix' resp. */
/* plus, of course, free_vector and free_matrix into */
/* free_dvector and free_dmatrix */


void lubksb(double **a, int n, int *indx, double b[])
{
	int i,ii=0,ip,j;
	double sum;

	for (i=1;i<=n;i++) {
		ip=indx[i];
		sum=b[ip];
		b[ip]=b[i];
		if (ii)
			for (j=ii;j<=i-1;j++) sum -= a[i][j]*b[j];
		else if (sum) ii=i;
		b[i]=sum;
	}
	for (i=n;i>=1;i--) {
		sum=b[i];
		for (j=i+1;j<=n;j++) sum -= a[i][j]*b[j];
		b[i]=sum/a[i][i];
	}
}
/* (C) Copr. 1986-92 Numerical Recipes Software %6<5@)1.#109. */
