#include "grind.h"

double delta= 1.0;

int euler(double *pop, int nvar, double t, double tend) {
  int nsteps, i, n;
  static double *dy = NULL;

  if (NULL == dy)
    dy = dcalloc(nvar, "'dy' in euler");

  nsteps = (tend - t)/delta + .5;

  for (i=0; i<nsteps; i++) {
    if (Interrupt()) return 0;
    fcn(pop, dy);
    for (n=0; n<nvar; n++)
      pop[n] += dy[n]*delta;
    if (positive_opt)
      mkVarPos(pop);
  }
  return 1;
}
