#include "grind.h"

extern double *eigvector;
extern int  *eigsort, *eigstab, *eigcomp;


int perturb(int direction, double distance) {
  int i;

  for (i=0; i<nvar; i++)
    istate[i] = nstate[i];

  /*  return if vector is complex */
  if (eigcomp[eigsort[direction]])
    return 0;
  /*  for stable point switch backward and trunc 'on' */
  if (eigstab[eigsort[direction]] == STABLE) {
    backward_opt = true;
    trunc_opt = true;
  }
  else
    backward_opt = false;
  for (i=0; i<nvar; i++)
    istate[i] += distance*eigvector[eigsort[direction]*nvar + i];

  return 1;
}
